---
- name: Deploy Nginx Using Docker Compose module 
  hosts: workers
  tasks: 
    - name: Install Docker Compose 
      apt: 
        name: docker-compose
        state: present
        update_cache: yes
    - name: Deploy Nginx with docker compose modules 
      docker_compose:
       project_name: nginx_project
       definition: 
        version: '3.8'
        services:
          nginx: 
            image: nginx
            container_name: my_new_nginx_container
            ports: 
              - "3333:80"


# ansible-playbook -i inventory.ini playbooks/dockermoduleplaybook.yaml

